Subject: [bug#59188] [PATCH v3 00/16] Updating node-lts to 18.X

From: [email-masked]
Date: Wed, 8 Feb 2023 22:05:15 +0100

From: Jelle Licht <[email-masked]>

Folks,

This should at least build for x86_64, and I'm sending in a 'new' patch series
in the hopes of QA picking things up this time.

Hilton, I've taken the liberty of adding in a copyright line for your node-lts
update: I've also tweaked some versions so there would be less manual patching
and backports to do, namely:
* libuv-for-node to 1.44.2
* node-lts to 18.14.0

I needed to tweak some of our existing packages so they actually explicitly
state which dependencies they do not care about; with the npm bundled with
node < 16, things "Just Worked", but since then npm has become a bit stricter.

After applying my patches they should build with either node@14 (current
packaged version) or node@18 (Hilton's version).

Hilton Chain (4):
  gnu: libuv-for-node: Update to 1.44.2.
  gnu: llhttp-bootstrap: Update to 6.0.10.
  gnu: node-lts: Update to 18.14.0.
  gnu: libnode: Use node-lts as base.

Jelle Licht (12):
  gnu: node-acorn: Disable tests.
  gnu: node-acorn: Remove lifecycle script.
  gnu: node-acorn: Fix broken transpilation.
  gnu: node-buffer-crc32: Ignore development dependencies.
  gnu: node-crx3: Ignore development dependencies.
  gnu: node-minimist: Ignore development dependencies.
  gnu: node-pbf: Ignore development dependencies.
  gnu: node-protocol-buffers-schema: Ignore development dependencies.
  gnu: node-resolve-protobuf-schema: Ignore development dependencies.
  gnu: node-ieee754: Ignore development dependencies.
  gnu: node-yazl: Ignore development dependencies.
  gnu: node-uglify-js: Update to 3.14.2.

 gnu/local.mk                                  |   1 -
 gnu/packages/cran.scm                         |   2 +-
 gnu/packages/libevent.scm                     |   4 +-
 gnu/packages/node-xyz.scm                     | 110 +++++++++++++-----
 gnu/packages/node.scm                         |  49 +++++---
 .../llhttp-bootstrap-CVE-2020-8287.patch      | 100 ----------------
 gnu/packages/uglifyjs.scm                     |   4 +-
 7 files changed, 121 insertions(+), 149 deletions(-)
 delete mode 100644 gnu/packages/patches/llhttp-bootstrap-CVE-2020-8287.patch

base-commit: 07e74b63d4969de0b51c48edb586f0d7d8c08db7
-- 
2.39.1